Bug 203498 - kernel lockups when booting at the network init script
kernel lockups when booting at the network init script
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-21 23:09 EDT by clifford snow
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-01 11:10:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description clifford snow 2006-08-21 23:09:04 EDT
Description of problem:
When booting up, to 2.6.17-1.2174.2.1_FC5.netdev.8 kernel with the bcm43xx
wireless network driver, the system locks ups at the network if a wired
connection is present.  Without the wired connection, NetworkManager never
connects to my WPA wireless network.



Version-Release number of selected component (if applicable):

kernel 2.6.17-1.2174.2.1_FC5.netdev.8
How reproducible:
Always

Steps to Reproduce:
1. Install 2.6.17-1.2174.2.1_FC5.netdev.8
2. Connect wired network to eth0 device
3. Reboot
  
Actual results:
System locks up at the eth0 network device

Expected results:
System boots up normally with network connection on eth0

Additional info:
This may be a duplicate to 184440 kernel/bcm43xx lockup report.

Without a wired connection, NetworkManager attemts to connect to last good
wireless network but never connects.  
Also - I have a different password for the Gnome-keyring than the login which
causes the keyring to prompt for a password.  I'm not sure what if any the delay
causes NetworkManager.  

I believe that an downstream update to gnome-keyring will allow the user to
change the password.  I can't wait.
Comment 1 Dave Jones 2006-10-16 20:00:56 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 clifford snow 2006-10-18 18:51:16 EDT
This report is for kernel 2.6.17-1.2174.2.1_FC5.netdev.8
BTW - the same condidtions occur in subsequent updates to latest the netdev kernel. 

Comment 3 John W. Linville 2006-10-19 10:07:42 EDT
What is the wired device?

Please attach the output of running "sysreport"...thanks!
Comment 4 clifford snow 2006-10-27 21:33:54 EDT
I just successfully installed  2.6.18-1.2200.2.10.fc5.netdev.13.1 which works. 
I can give you a copy of sysreport if you still want, otherwise, you can close
this out.  ...thanks

Note You need to log in before you can comment on or make changes to this bug.